linkinfo
mkdir
Filesystem Functions
PHP Manual

# lstat

(PHP 4, PHP 5)

lstat — Gives information about a file or symbolic link

### Description

array lstat ( string `$filename` )

Gathers the statistics of the file or symbolic link named by `filename` .

### Parameters

`filename`

  Path to a file or a symbolic link.

### Return Values

See the manual page for stat() for information on the structure of the array that lstat() returns. This function is identical to the stat() function except that if the `filename` parameter is a symbolic link, the status of the symbolic link is returned, not the status of the file pointed to by the symbolic link.

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

### See Also

- stat()

linkinfo
mkdir
Filesystem Functions
PHP Manual